GET /v1/pipedream/accounts/{id}
Get a Pipedream account by ID
GET
/v1/pipedream/accounts/{id}
Get a Pipedream account by ID
Path Parameters
id
string
required
path
Account ID
Responses
200
OK
application/jsoncode
integer
data
object
appName
string
appSlug
string
createdAt
string
healthy
boolean
id
string
name
string
message
string
requestId
string
400
Bad Request
404
Not Found
503
Service Unavailable
curl -X GET 'https://api.example.com/v1/pipedream/accounts/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/pipedream/accounts/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/pipedream/accounts/string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/pipedream/accounts/string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "appName": "<string>", "appSlug": "<string>", "createdAt": "<string>", "healthy": true, "id": "<string>", "name": "<string>" }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/pipedream/accounts/{id}
